Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.jetty.util
Class ConcurrentHashSet<E>

    java.lang.Object
      java.util.AbstractCollection<E>
          java.util.AbstractSet<E>
              org.eclipse.jetty.util.ConcurrentHashSet<E>

All Implemented Interfaces:
  java.lang.Iterable<E>, java.util.Collection<E>, java.util.Set<E>

    public class ConcurrentHashSet<E>

extends java.util.AbstractSet<E>
implements java.util.Set<E>

Constructor Summary
`ConcurrentHashSet()`

Method Summary
`boolean` | `add(E e)`
`void` | `clear()`
`boolean` | `contains(java.lang.Object o)`
`boolean` | `containsAll(java.util.Collection<?> c)`
`boolean` | `equals(java.lang.Object o)`
`int` | `hashCode()`
`boolean` | `isEmpty()`
`java.util.Iterator<E>` | `iterator()`
`boolean` | `remove(java.lang.Object o)`
`boolean` | `removeAll(java.util.Collection<?> c)`
`boolean` | `retainAll(java.util.Collection<?> c)`
`int` | `size()`
`java.lang.Object[]` | `toArray()`
`
`<T> T[]`
` | `toArray(T[] a)`
`java.lang.String` | `toString()`

Methods inherited from class java.util.AbstractCollection
`addAll`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.util.Set
`addAll`

Constructor Detail

### ConcurrentHashSet

    public ConcurrentHashSet()

Method Detail

### add

    public boolean add(E e)

  Specified by:
    `add` in interface `java.util.Collection<E>`
  Specified by:
    `add` in interface `java.util.Set<E>`
  Overrides:
    `add` in class `java.util.AbstractCollection<E>`

### clear

    public void clear()

  Specified by:
    `clear` in interface `java.util.Collection<E>`
  Specified by:
    `clear` in interface `java.util.Set<E>`
  Overrides:
    `clear` in class `java.util.AbstractCollection<E>`

### contains

    public boolean contains(java.lang.Object o)

  Specified by:
    `contains` in interface `java.util.Collection<E>`
  Specified by:
    `contains` in interface `java.util.Set<E>`
  Overrides:
    `contains` in class `java.util.AbstractCollection<E>`

### containsAll

    public boolean containsAll(java.util.Collection<?> c)

  Specified by:
    `containsAll` in interface `java.util.Collection<E>`
  Specified by:
    `containsAll` in interface `java.util.Set<E>`
  Overrides:
    `containsAll` in class `java.util.AbstractCollection<E>`

### equals

    public boolean equals(java.lang.Object o)

  Specified by:
    `equals` in interface `java.util.Collection<E>`
  Specified by:
    `equals` in interface `java.util.Set<E>`
  Overrides:
    `equals` in class `java.util.AbstractSet<E>`

### hashCode

    public int hashCode()

  Specified by:
    `hashCode` in interface `java.util.Collection<E>`
  Specified by:
    `hashCode` in interface `java.util.Set<E>`
  Overrides:
    `hashCode` in class `java.util.AbstractSet<E>`

### isEmpty

    public boolean isEmpty()

  Specified by:
    `isEmpty` in interface `java.util.Collection<E>`
  Specified by:
    `isEmpty` in interface `java.util.Set<E>`
  Overrides:
    `isEmpty` in class `java.util.AbstractCollection<E>`

### iterator

    public java.util.Iterator<E> iterator()

  Specified by:
    `iterator` in interface `java.lang.Iterable<E>`
  Specified by:
    `iterator` in interface `java.util.Collection<E>`
  Specified by:
    `iterator` in interface `java.util.Set<E>`
  Specified by:
    `iterator` in class `java.util.AbstractCollection<E>`

### remove

    public boolean remove(java.lang.Object o)

  Specified by:
    `remove` in interface `java.util.Collection<E>`
  Specified by:
    `remove` in interface `java.util.Set<E>`
  Overrides:
    `remove` in class `java.util.AbstractCollection<E>`

### removeAll

    public boolean removeAll(java.util.Collection<?> c)

  Specified by:
    `removeAll` in interface `java.util.Collection<E>`
  Specified by:
    `removeAll` in interface `java.util.Set<E>`
  Overrides:
    `removeAll` in class `java.util.AbstractSet<E>`

### retainAll

    public boolean retainAll(java.util.Collection<?> c)

  Specified by:
    `retainAll` in interface `java.util.Collection<E>`
  Specified by:
    `retainAll` in interface `java.util.Set<E>`
  Overrides:
    `retainAll` in class `java.util.AbstractCollection<E>`

### size

    public int size()

  Specified by:
    `size` in interface `java.util.Collection<E>`
  Specified by:
    `size` in interface `java.util.Set<E>`
  Specified by:
    `size` in class `java.util.AbstractCollection<E>`

### toArray

    public java.lang.Object[] toArray()

  Specified by:
    `toArray` in interface `java.util.Collection<E>`
  Specified by:
    `toArray` in interface `java.util.Set<E>`
  Overrides:
    `toArray` in class `java.util.AbstractCollection<E>`

### toArray

    public <T> T[] toArray(T[] a)

  Specified by:
    `toArray` in interface `java.util.Collection<E>`
  Specified by:
    `toArray` in interface `java.util.Set<E>`
  Overrides:
    `toArray` in class `java.util.AbstractCollection<E>`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.util.AbstractCollection<E>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1995-2010 Mort Bay Consulting. All Rights Reserved.